/*
Copyright (c) 2002 Xavier Trochu

This software is provided 'as-is', without any express or implied warranty. In no event
will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial
applications, and to alter it and redistribute it freely, subject to the following
restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you
   wrote the original software. If you use this software in a product, an acknowledgment
   in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented 
   as being the original software.

3. This notice may not be removed or altered from any source distribution.
*/
#ifndef __CODEC1_H_
#define __CODEC1_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef DEBUG
# ifndef NO_DEBUG_CODEC1
#  define DEBUG_CODEC1
# endif
#else
# ifdef DEBUG_CODEC1
#  error DEBUG_CODEC1 defined without DEBUG
# endif
#endif

#include <exception>
#include "decoder.h"

/*!	@brief ::decoder for codec 1 and 3.

*/
class codec1_decoder : public decoder {
public:
	virtual ~codec1_decoder() throw();
	bool decode(blitter &, chunck &) throw(std::exception);
};

#endif
